Subject: [CCAMP] draft-izh-ccamp-flexe-fwk

From: Daniele Ceccarelli <[email-masked]>
Date: Wed, 21 Mar 2018 17:45:36 +0000

Dear authors,

earlier today I had a chat with Qilei on the need for signaling at the FlexE client level. Scrolling the implementation agreement we found section 5.2.1.7 and 5.2.2.6 on the control function in the transmit and receive direction. I have to admit that the text is not very clear and leaves room for interpretation but it seems that the control function is the one that decides which calendar slots are used in the transmit direction and the extracts them in the receive direction. This would make me think that there is no need for signaling at the FlexE client level. Am I wrong?

Section 5.2.1.7 and section 5.2.2.6 copied below.

Thanks

Daniele

5.2.1.7 Control

The control function manages which calendar slots each FlexE client is inserted into and inserts the FlexE overhead on each FlexE PHY in the transmit direction.

5.2.2.6 Control

The control function manages which calendar slots each FlexE client is extracted from and extract the FlexE overhead from each FlexE PHY in the receive direction.